export function ConcatenateKeys(data, fieldsToConcat = [], resultField = "result", separator = " ") {
    if (typeof data === "object") {
        let newData = data;
        let textValue = "";
        fieldsToConcat.forEach((field, index) => {
            if (index > 0)
                textValue.concat((separator ? separator : " ") + String(newData === null || newData === void 0 ? void 0 : newData[field]));
            else
                textValue.concat(String(newData === null || newData === void 0 ? void 0 : newData[field]));
        });
        newData[resultField] = textValue;
        return data;
    }
    return data;
}
